#ifndef _OrxoBloxBot_H__
#define _OrxoBloxBot_H__

#include "OrxoBlox/OrxoBloxPrereqs.h"
#include "infos/Bot.h"

namespace orxonox
{

    /**
    @brief
        A bot especially for @ref orxonox::OrxoBlox "OrxoBlox".

        Uses the @ref orxonox::OrxoBloxAI "OrxoBloxAI".

    @author
        Fabian 'x3n' Landau

    @ingroup OrxoBlox
    */
    class _OrxoBloxExport OrxoBloxBot : public Bot
    {
        public:
            OrxoBloxBot(Context* context);
            virtual ~OrxoBloxBot() {}
    };
}

#endif /* _OrxoBloxBot_H__ */
