#ifndef _OrxoBloxCanon_H__
#define _OrxoBloxCanon_H__

#include "asteroids2D/Asteroids2DPrereqs.h"

#include "weapons/WeaponsPrereqs.h"
#include "weapons/weaponmodes/HsW01.h"
#include "weapons/projectiles/BallProjectile.h"

namespace orxonox
{
    class _OrxoBloxExport OrxoBloxCanon : public HsW01
    {
        public:
            OrxoBloxCanon(Context* context);
            virtual ~OrxoBloxCanon();

        protected:
            virtual void shot() override; //2D movement
            WeakPtr<BallProjectile> projectile;
    };
}

#endif /* _OrxoBloxCanon_H__ */
