#ifndef _OrxoBloxPrereqs_H__
#define _OrxoBloxPrereqs_H__

#include "OrxonoxConfig.h"
#include "OrxonoxPrereqs.h"

//-----------------------------------------------------------------------
// Shared library settings
//-----------------------------------------------------------------------

#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXOBLOX_STATIC_BUILD)
#  ifdef ORXOBLOX_SHARED_BUILD
#    define _OrxoBloxExport __declspec(dllexport)
#  else
#    if defined( __MINGW32__ )
#      define _OrxoBloxExport
#    else
#      define _OrxoBloxExport __declspec(dllimport)
#    endif
#  endif
#  define _OrxoBloxPrivate
#elif defined (ORXONOX_GCC_VISIBILITY)
#  define _OrxoBloxExport  __attribute__ ((visibility("default")))
#  define _OrxoBloxPrivate __attribute__ ((visibility("hidden")))
#else
#  define _OrxoBloxExport
#  define _OrxoBloxPrivate
#endif

//-----------------------------------------------------------------------
// Forward declarations
//-----------------------------------------------------------------------

namespace orxonox
{
    class OrxoBlox;
    //class OrxoBloxBall;
    class OrxoBloxCenterpoint;
    class OrxoBloxWall;
    class OrxoBloxStones;
    class OrxoBloxScore;
    class OrxoBloxShip;
}

#endif /* _OrxoBloxPrereqs_H__ */
